# DaprProtos.RaiseEventWorkflowRequestOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.RaiseEventWorkflowRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.RaiseEventWorkflowRequest`, `DaprProtos.RaiseEventWorkflowRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.RaiseEventWorkflowRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`com.google.protobuf.ByteString` `getEventData()` Data associated with the event.
`String` `getEventName()` Name of the event.
`com.google.protobuf.ByteString` `getEventNameBytes()` Name of the event.
`String` `getInstanceId()` ID of the workflow instance to raise an event for.
`com.google.protobuf.ByteString` `getInstanceIdBytes()` ID of the workflow instance to raise an event for.
`String` `getWorkflowComponent()` Name of the workflow component.
`com.google.protobuf.ByteString` `getWorkflowComponentBytes()` Name of the workflow component.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getInstanceId

    String getInstanceId()

     ID of the workflow instance to raise an event for.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  The instanceId.

#### getInstanceIdBytes

    com.google.protobuf.ByteString getInstanceIdBytes()

     ID of the workflow instance to raise an event for.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  The bytes for instanceId.

#### getWorkflowComponent

    String getWorkflowComponent()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Returns:
  The workflowComponent.

#### getWorkflowComponentBytes

    com.google.protobuf.ByteString getWorkflowComponentBytes()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Returns:
  The bytes for workflowComponent.

#### getEventName

    String getEventName()

     Name of the event.

`string event_name = 3 [json_name = "eventName"];`

Returns:
  The eventName.

#### getEventNameBytes

    com.google.protobuf.ByteString getEventNameBytes()

     Name of the event.

`string event_name = 3 [json_name = "eventName"];`

Returns:
  The bytes for eventName.

#### getEventData

    com.google.protobuf.ByteString getEventData()

     Data associated with the event.

`bytes event_data = 4;`

Returns:
  The eventData.